## javax.xml.stream.events
Interface Namespace

All Superinterfaces:
  Attribute, XMLEvent, XMLStreamConstants

public interface Namespace
extends Attribute

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getPrefix()`
`boolean` `isDefaultNamespaceDeclaration()`

Methods inherited from interface javax.xml.stream.events.Attribute
`getDTDType, getName, getValue, isSpecified`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getPrefix

    public java.lang.String getPrefix()

### isDefaultNamespaceDeclaration

    public boolean isDefaultNamespaceDeclaration()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.